BACKUP_ADDVOLENTRY(8)

NAME
backup_addvolentry - Defines a volume entry in a volume set

SYNOPSIS
backup addvolentry -name <volume set name>
    -server <machine name>
    -partition <partition name>
    -volumes <volume name (regular expression)>
    [-localauth] [-cell <cell name>] [-help]

backup addvole -n <volume set name>
    -s <machine name>
    -p <partition name>
    -v <volume name (regular expression)>
    [-l] [-c <cell name>] [-h]

DESCRIPTION
The backup addvolentry command adds a volume entry definition to the existing volume set named by the -name argument. A volume entry definition can match one or more volumes, depending on the combination of the -server, -partition, and -volumes arguments.

For the -server and -partition arguments, provide either

•   The name of one machine or partition.

•   The metacharacter expression .* (period and asterisk), which matches every machine name or partition name in the Volume Location Database (VLDB).

For the -volumes argument, specify a combination of alphanumeric characters and one or more metacharacters to wildcard part or all of the volume name. "OPTIONS" lists the acceptable metacharacters.

CAUTIONS
It is best to issue this command in interactive mode. If issuing it at the shell prompt, enclose any strings containing metacharacters in double quotes, or escape the metacharacters with other delimiters, to prevent the shell from interpreting them. Adding volume entries to a temporary volume set is possible only within the interactive session in which the volume set was created.

OPTIONS

-name <volume set name>
    Names the volume set to which to add this volume entry definition. The volume set must already exist (use the backup addvolset command to create it).

-server <machine name>
    Defines the set of one or more file server machines that house the volumes in the volume entry. Provide either one fully-qualified hostname (such as "fs1.example.com") or the metacharacter expression ".*" (period and asterisk), which matches all machine names in the VLDB.

-partition <partition name>
    Defines the set of one or more partitions that house the volumes in the volume entry. Provide either one complete partition name (such as "/vicepa") or the metacharacter expression ".*" (period and asterisk), which matches all partition names.

-volumes <volume name>
    Defines the set of one or more volumes included in the volume entry. Specify the volumes by name, by using any combination of regular alphanumeric characters and one or more of the following metacharacter expressions:

    "." The period matches any single character.

    "*" The asterisk matches zero or more instances of the preceding character. Combine it with any other alphanumeric character or metacharacter.

    "[ ]"
        Square brackets around a list of characters match a single instance of any of the characters, but no other characters; for example, "[abc]" matches a single "a" or "b" or "c", but not "d" or "A". This expression can be combined with the asterisk.

    "^" The caret, when used as the first character in a square-bracketed set, designates a match with any single character except the characters that follow it; for example, "[^a]" matches any single character except lowercase "a". This expression can be combined with the asterisk.

    "\" A backslash preceding any of the metacharacters in this list makes it match its literal value only. For example, the expression "\." (backslash and period) matches a single period, "\*" a single asterisk, and "\\" a single backslash. Such expressions can be combined with the asterisk (for example, "\.*" matches any number of periods).

    Perhaps the most common metacharacter expression is the period followed by an asterisk (".*"). This expression matches any string of any length, because the period matches any character and the asterisk means any number of that character. As mentioned, it is the only acceptable metacharacter expression for the -server and -partition arguments. In a volume definition it can stand alone (in which case it matches every volume listed in the VLDB), or can combine with regular characters. The following example matches any volume name that begins with the string "user" and ends with "backup":

       user.*backup

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command adds a volume entry to the volume set called "sys". The entry matches all volumes on any machine or partition whose names begin with the string "sun4x_56" followed by a period:

   backup> addvolentry sys .* .* sun4x_56\..*

The following command adds a volume entry to the volume set called "fs2", to match all volumes on the /vicepb partition of file server machine "fs2.example.com". Because it is issued at the shell prompt, double quotes surround the metacharacters in the -volumes argument. (The command is shown here on two lines only for legibility reasons.)

   % backup addvolentry -name fs2 -server fs2.example.com \
                        -partition /vicepb -volumes ".*"

The chapter in the OpenAFS Administration Guide about configuring the AFS Backup System presents additional examples as well as advice on grouping volumes.

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
backup(8), backup_addvolset(8), backup_delvolentry(8), backup_delvolset(8), backup_listvolsets(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.